# Sync a store into a Meta catalog

Syncs a store into a Meta catalog. Works with Shopify and WooCommerce accounts.

```http
POST https://api.pozy.ai/v1/commerce/catalog-syncs
```

- Area: Commerce / Commerce
- Auth: Authorization: Bearer pz_live_...

## Request body

Content type: `application/json`

- `accountId`, string, required
- `catalogAccountId`, string, required
- `catalogId`, string, required: Matches `^\d+$`

## Example request

```bash
curl -X POST "https://api.pozy.ai/v1/commerce/catalog-syncs" \
  -H "Authorization: Bearer $POZY_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "accountId": "696e0b682d0a31188e7a2ba9",
  "catalogAccountId": "6ff8c3c33fde58e5348d37b7",
  "catalogId": "6f2f2ffcf4ace3659342c4c2"
}'
```

```ts
const res = await fetch("https://api.pozy.ai/v1/commerce/catalog-syncs", {
  method: "POST",
  headers: {
    Authorization: `Bearer ${process.env.POZY_API_KEY}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    accountId: "696e0b682d0a31188e7a2ba9",
    catalogAccountId: "6ff8c3c33fde58e5348d37b7",
    catalogId: "6f2f2ffcf4ace3659342c4c2"
  }),
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.post(
    "https://api.pozy.ai/v1/commerce/catalog-syncs",
    headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
    json={
        "accountId": "696e0b682d0a31188e7a2ba9",
        "catalogAccountId": "6ff8c3c33fde58e5348d37b7",
        "catalogId": "6f2f2ffcf4ace3659342c4c2",
    },
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 202

- `catalogSync`, object
  - `id`, string
  - `accountId`, string
  - `catalogPlatform`, string: One of `meta`
  - `catalogAccountId`, string
  - `catalogId`, string
  - `runStatus`, string: One of `pending`, `running`, `succeeded`, `failed`
  - `lastRunStartedAt`, string (date-time): Can be null
  - `lastRunFinishedAt`, string (date-time): Can be null
  - `lastError`, string: Can be null
  - `itemsSent`, integer
  - `itemsSkipped`, integer
  - `itemsDeleted`, integer
  - `createdAt`, string (date-time)

```json
{
  "catalogSync": {
    "id": "6bfebd43ddc270f6d2c56fc5",
    "accountId": "696e0b682d0a31188e7a2ba9",
    "catalogPlatform": "meta",
    "catalogAccountId": "6ff8c3c33fde58e5348d37b7",
    "catalogId": "6f2f2ffcf4ace3659342c4c2",
    "runStatus": "pending",
    "lastRunStartedAt": "2026-10-02T09:00:00.000Z",
    "lastRunFinishedAt": "2026-10-02T09:00:00.000Z",
    "lastError": "string",
    "itemsSent": 1,
    "itemsSkipped": 1,
    "itemsDeleted": 1,
    "createdAt": "2026-10-02T09:00:00.000Z"
  }
}
```
